edu.northwestern.at.morphadorner.tools.compareadornedfiles

## Class WordChangeLog

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.compareadornedfiles.WordChangeLog

-     public class WordChangeLog
      extends java.lang.Object

  Records modifications to a tokenized or adorned TEI XML file.

  The changes are recorded on a token basis in the following format.

        <ChangeLog>
         <changeTime>The time the change file was created.</changeTime>
         <changeDescription>A description of the changes.</changeDescription>
         <changes>
           <change>
             <id>xml:id of token to be changed.</id>
             <changeType>addition, modification, or deletion.</changeType>
             <fieldType>Type of field to change: text or attribute.</fieldType>
             <oldValue>Old field value.</oldValue>
             <newValue>New field value.</newValue>
             <siblingID>xml:id of sibling word for a word being added.</siblingID>
             <blankPrecedes>true if blank precedes the token, else false.</blankPrecedes>
             <blankFollows>true if blank follows the token, else false.</blankFollows>
           </change>
              ...
              (more <change> entries)
              ...
         </changes>
        </ChangeLog>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `changeDescription` Description of change.
    `protected java.util.List<WordChange>` | `changes` List of changes.
    `protected java.util.Date` | `changeTime` Time/date of change.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordChangeLog()` Create empty change log.
    `WordChangeLog(java.lang.String changeDescription)` Create change log with a description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChange(WordChange wordChange)` Add entry to change log.
    `java.lang.String` | `getChangeDescription()` Get description of change.
    `java.util.List<WordChange>` | `getChanges()` Get list of changes.
    `java.util.Date` | `getChangeTime()` Get time of change.
    `int` | `getNumberOfChanges()` Get number of changes.
    `void` | `SetChangeDescription(java.lang.String changeDescription)` Set description of change.
    `void` | `SetChangeTime(java.util.Date changeTime)` Set time of change.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### changeTime

          protected java.util.Date changeTime

      Time/date of change.

    - #### changeDescription

          protected java.lang.String changeDescription

      Description of change.

    - #### changes

          protected java.util.List<WordChange> changes

      List of changes.

  - ### Constructor Detail

    - #### WordChangeLog

          public WordChangeLog()

      Create empty change log.

    - #### WordChangeLog

          public WordChangeLog(java.lang.String changeDescription)

      Create change log with a description.

  - ### Method Detail

    - #### getChangeTime

          public java.util.Date getChangeTime()

      Get time of change.
      Returns:
        Time of change.

    - #### SetChangeTime

          public void SetChangeTime(java.util.Date changeTime)

      Set time of change.
      Parameters:
        `changeTime` - Time of change.

    - #### getChangeDescription

          public java.lang.String getChangeDescription()

      Get description of change.
      Returns:
        Description of change.

    - #### SetChangeDescription

          public void SetChangeDescription(java.lang.String changeDescription)

      Set description of change.
      Parameters:
        `changeDescription` - Description of change.

    - #### addChange

          public void addChange(WordChange wordChange)

      Add entry to change log.
      Parameters:
        `wordChange` - The change to add.

    - #### getChanges

          public java.util.List<WordChange> getChanges()

      Get list of changes.
      Returns:
        List of changes.

    - #### getNumberOfChanges

          public int getNumberOfChanges()

      Get number of changes.
      Returns:
        The number of changes.